InfoDisplayEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class InfoDisplayEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.InfoDisplayEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InfoDisplayEvent

extends java.util.EventObject

An event to request that information be displayed.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `information` The requester may send information along with the event if the event represents an information display request from the layer, this variable contains the information needed to process the event.
`protected int` | `preferredLocation` A preferred location index for which info line, if there is more than one, should display the requested information.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InfoDisplayEvent(java.lang.Object source)` Construct an InfoDisplayEvent.
`InfoDisplayEvent(java.lang.Object source, java.lang.String info)` Construct an InfoDisplayEvent.
`InfoDisplayEvent(java.lang.Object source, java.lang.String info, int loc)` Construct an InfoDisplayEvent.

Method Summary
`java.lang.String` | `getInformation()` Get the information.
`Layer` | `getLayer()` Get the associated Layer or null.
`int` | `getPreferredLocation()` Get the preferred location index where the information should be displayed.
`void` | `setInformation(java.lang.String info)` Set the information.
`void` | `setPreferredLocation(int pl)` Set the preferred location index where the information should be displayed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### information

    protected java.lang.String information

  The requester may send information along with the event if the event represents an information display request from the layer, this variable contains the information needed to process the event.

### preferredLocation

    protected int preferredLocation

  A preferred location index for which info line, if there is more than one, should display the requested information. The default is 0.

Constructor Detail

### InfoDisplayEvent

    public InfoDisplayEvent(java.lang.Object source)

  Construct an InfoDisplayEvent.

  Parameters:
    `source` - Object

### InfoDisplayEvent

    public InfoDisplayEvent(java.lang.Object source,
                            java.lang.String info)

  Construct an InfoDisplayEvent.

  Parameters:
    `source` - Object
    `info` - String information

### InfoDisplayEvent

    public InfoDisplayEvent(java.lang.Object source,
                            java.lang.String info,
                            int loc)

  Construct an InfoDisplayEvent.

  Parameters:
    `source` - Object
    `info` - String information
    `loc` - the location index for which info line should display the information.

Method Detail

### getLayer

    public Layer getLayer()

  Get the associated Layer or null. Returns a Layer, if the Layer is the source of the event, otherwise null.

  Returns:
    Layer or null

### getInformation

    public java.lang.String getInformation()

  Get the information.

  Returns:
    String information

### setInformation

    public void setInformation(java.lang.String info)

  Set the information.

  Parameters:
    `info` - String

### getPreferredLocation

    public int getPreferredLocation()

  Get the preferred location index where the information should be displayed.

### setPreferredLocation

    public void setPreferredLocation(int pl)

  Set the preferred location index where the information should be displayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details